package com.boman.domain;

import com.boman.domain.annotation.Excel;
import com.boman.domain.annotation.Excel.ColumnType;

import java.util.List;

/**
 * @author tjf
 * @Date: 2021/06/30/15:03
 */
public class BomanGroupUser extends BaseEntity {
    /** 参数主键 */
    @Excel(name = "参数主键", cellType = ColumnType.NUMERIC)
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 用户名
     */
    private String userName;

    /**
     * 组织id
     */
    private Long groupId;


    /**
     * 状态
     */
    private String status;

    /**
     * 是否删除
     */
    private String isDel;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Long getGroupId() {
        return groupId;
    }

    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIsDel() {
        return isDel;
    }

    public void setIsDel(String isDel) {
        this.isDel = isDel;
    }

    @Override
    public String toString() {
        return "BomanGroupUser{" +
                "id=" + id +
                ", userId=" + userId +
                ", userName='" + userName + '\'' +
                ", groupId=" + groupId +
                ", status='" + status + '\'' +
                ", isDel='" + isDel + '\'' +
                '}';
    }
}
